// -*- C++ -*-
// $RCSfile: matrixbase.h,v $
// $Revision: 1.4 $
// $Author: vrc $
// $Date: 2007-09-26 22:02:45 $

/* This software was produced by NIST, an agency of the U.S. government,
 * and by statute is not subject to copyright in the United States.
 * Recipients of this software assume all responsibilities associated
 * with its operation, modification and maintenance. However, to
 * facilitate maintenance we ask that before distributing modifed
 * versions of this software, you first contact the authors at
 * oof_manager@ctcms.nist.gov. 
 */

#include <oofconfig.h>
#include "engine/matvec.h"

#ifndef MATRIXBASE_H
#define MATRIXBASE_H

class MatrixBase {// OOF2
public:
  //MatrixBase() {}
  virtual ~MatrixBase() {}
  virtual VECTOR_D operator*(const VECTOR_D &x) const = 0;
  virtual MatrixBase &operator*=(double) = 0;
  virtual double       operator() (int i, int j) const = 0;  
  virtual int nrows() const = 0;
  virtual int ncols() const = 0;
  virtual VECTOR_D trans_mult(const VECTOR_double &x) const = 0;
  //virtual MatrixBase * add(const MatrixBase &b) const = 0;
  //should always return
  //a pointer to a MatrixBase.

};


#endif //MATRIXBASE_H
